Skip to main content
PUT
/
v3
/
appointment-definitions
/
{appointmentDefinition}
/
normal-hours
Update Appointment Definition Normal Hours
curl --request PUT \
  --url https://api.{tenant}.getomneo.com/api/v3/appointment-definitions/{appointmentDefinition}/normal-hours \
  --header 'Content-Type: application/json' \
  --data '
[
  {
    "available_from": "<string>",
    "available_until": "<string>"
  }
]
'
{
  "data": [
    {
      "id": 123,
      "appointment_definition_id": 123,
      "day_of_week": "<string>",
      "available_from": "<string>",
      "available_until": "<string>",
      "is_closed": "<string>",
      "created_at": "<string>",
      "updated_at": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.omneo.io/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

appointmentDefinition
integer
required

The appointment definition ID

Body

application/json
day_of_week
enum<string>
required
Available options:
MON,
TUE,
WED,
THU,
FRI,
SAT,
SUN
available_from
string | null
available_until
string | null

Response

Array of AppointmentDefinitionNormalHour

data
AppointmentDefinitionNormalHour · object[]
required